view.hpp File Reference
`#include <algorithm>`

Go to the source code of this file.

## Classes

class | Gecode::Int::Element::RelTestBnd< VA, VC >
| Class for bounds-equality test. More...
class | Gecode::Int::Element::RelTestBnd< VA, ConstIntView >
| Class for bounds-equality test (specialized). More...
class | Gecode::Int::Element::RelTestDom< VA, VC >
| Class for domain-equality test. More...
class | Gecode::Int::Element::RelTestDom< VA, ConstIntView >
| Class for domain-equality test (specialized). More...
class | Gecode::Int::Element::IterIdxView< View >
| Value iterator for indices in index-view map. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::Element
| Element propagators

## Functions

template<class VA, class VB, class VC, PropCond pc_ac, class RelTest>
ExecStatus | Gecode::Int::Element::scan (Space &home, IdxViewArray< VA > &iv, VB x0, VC x1, Propagator &p, RelTest rt)